@use '@angular/material' as mat;
@use 'partials/components/top-bar';
@use 'partials/variables/top-bar' as bar-var;

.logo {
  height: bar-var.$logo-height;
  max-height: bar-var.$logo-height;
}

.top-bar-light {
  color: map-get(mat.$light-theme-foreground-palette, text);
  background: map-get(mat.$light-theme-background-palette, background);
}

.mat-toolbar-row,
.mat-toolbar-single-row {
  height: top-bar.$top-bar-height;
  justify-content: space-between;
  font-size: bar-var.$toolbar-font-size;
}

.section-element {
  display: flex;
  align-items: center;
  height: inherit;
}

.top-bar-text {
  padding-top: bar-var.$top-bar-text-padding;
}

.profile-picture-container {
  width: bar-var.$header-size;
  display: inline-block;
}

.profile-picture {
  vertical-align: middle;
  object-fit: scale-down;
  border-radius: 50%;
  aspect-ratio: 1/1;
  height: 2em;
}

.user-name {
  text-align: end;
  margin-right: bar-var.$user-name-margin;
}

.user-container {
  display: flex;
  height: inherit;
}

.user-menu-button {
  height: 100%;
  min-width: 160px;
}

.btn-logout {
  padding: bar-var.$btn-logo-padding;
}
